Skip to main content
GET
Get Engage queue item

Authorizations

Authorization
string
header
required

Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.

Headers

X-Organization-Id
string<uuid>

Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Path Parameters

queueId
string
required

Queue row UUID or normalized grouped-send display key.

Required string length: 1 - 200

Query Parameters

organizationId
string<uuid>

Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Response

Engage queue item detail.

id
string
required

Normalized grouped-send display key. Use for detail and recipients lookups.

channel
enum<string>
required
Available options:
email,
linkedin,
slack
status
enum<string>
required
Available options:
scheduled,
started,
sent,
completed,
failed,
cancelled,
expired
needsApproval
boolean
required
engagement
object
required
recipientCount
integer
required
Required range: x >= 0
approvedAt
string<date-time> | null
scheduledAt
string<date-time> | null
sentAt
string<date-time> | null
cancelledAt
string<date-time> | null
errorMessage
string | null
subject
string | null
senderEmail
string | null
senderName
string | null
senderUserId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
recipientEmail
string | null
recipientName
string | null
sentRecipientCount
integer | null
Required range: x >= 0
failedRecipientCount
integer | null
Required range: x >= 0
engageTemplateId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
engageFlowId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
engageFlowRunId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
engageListId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
accountId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
currentStepIndex
integer | null
totalSteps
integer | null
nextStepAt
string<date-time> | null